/**
* DO NOT EDIT THIS FILE.
* See the following change record for more information,
* https://www.drupal.org/node/2815083
* @preserve
**/

(function (Backbone, Drupal) {
  Drupal.cartFlyout.CartBlockModel = Backbone.Model.extend({
    defaults: {
      icon: '',

      count: 0,

      carts: [],

      countText: {
        singular: '@count item',
        plural: '@count items'
      },

      url: '',

      links: ['<a href="' + Drupal.url('cart') + '">' + Drupal.t('View cart') + '</a>']
    },
    getUrl: function getUrl() {
      return this.get('url');
    },
    getIcon: function getIcon() {
      return this.get('icon');
    },
    getCount: function getCount() {
      return this.get('count');
    },
    getCountPlural: function getCountPlural() {
      return this.get('countText').plural;
    },
    getCountSingular: function getCountSingular() {
      return this.get('countText').singular;
    },
    getLinks: function getLinks() {
      return this.get('links');
    },
    getCarts: function getCarts() {
      return this.get('carts').filter(function (cart) {
        return cart.order_items.length > 0;
      });
    }
  });
})(Backbone, Drupal);